mixin Calculate {

  double calculate1RM(double quantity, double unitQuantity) {
    double weight = unitQuantity;
    double repeat = quantity;
    if ( weight == 0 || repeat == 0) {
      return 0;
    }
    double rmWendler = weight * repeat * 0.0333 + weight;
    double rmOconner = weight * (1 + repeat / 40);
    double average = (rmWendler + rmOconner)/2;

    return average;
  }
}